<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class DnsRecord extends Model
{
    protected $fillable = ['instance_id', 'provider', 'record_id', 'fqdn', 'type', 'value'];

    public function instance(): BelongsTo
    {
        return $this->belongsTo(Instance::class);
    }
}
